/*******************************************************************************
* FILE NAME: clock_routines.h
*
* DESCRIPTION:
*  Clock time keeping stuff  
*
*
*******************************************************************************/


#ifndef __clock_routines_h_
#define __clock_routines_h_

#include <timers.h>

#define CLOCKOFFSET 60535  //Set timer for 4ms

#ifdef VARIABLE_DECLARE
  volatile unsigned long Clockms=0;	// 1 millisecond clock
  volatile unsigned long Clockds=0;	// 100 millisecond
  volatile unsigned long Clocksec=0; // 1 second clock
#else
  extern volatile unsigned long Clockms;
  extern volatile unsigned long Clockds;
  extern volatile unsigned long Clocksec;
#endif

void Initialize_Clock(void);

#endif
